from ti_system import *
from ti_draw import *
from random import *

def shape(r):
  if r==0:
    x=i*w+w/2
    y=j*w+w/2
    fill_circle(x,y,w/4)
  if r==1:
    x=[i*w,i*w+w,i*w,i*w]
    y=[j*w,j*w+w,j*w+w,j*w]
    fill_poly(x,y)
  if r==2:
    x=[i*w,i*w+w,i*w+w,i*w]
    y=[j*w,j*w,j*w+w,j*w]
    fill_poly(x,y)
  if r==3:
    x=[i*w,i*w+w,i*w+w,i*w]
    y=[j*w+w,j*w+w,j*w,j*w+w]
    fill_poly(x,y)
  if r==4:
    x=[i*w,i*w+w,i*w,i*w]
    y=[j*w,j*w,j*w+w,j*w]
    fill_poly(x,y)
  if r==5:
    x=i*w
    y=j*w+w/2
    fill_rect(x,y,w/2,w/2)
    x=i*w+w/2
    y=j*w
    fill_rect(x,y,w/2,w/2)
  if r==6:
    x=i*w
    y=j*w
    fill_rect(x,y,w/2,w/2)
    x=i*w+w/2
    y=j*w+w/2
    fill_rect(x,y,w/2,w/2)


set_window(-65,265,-10,210)
use_buffer()
set_pen("medium","solid")
draw_rect(-5,-5,210,210)
paint_buffer()
set_pen("thin","solid")

n=0
key=""
while key!="esc":

  w=200/(2**n)
  clear(-1,0,202,201)

  for i in range(2**n):
    for j in range(2**n):
      r=randint(0,6)
      shape(r)
  paint_buffer()

  key=""
  while key not in {"esc","enter","down","up","left","right","tab"," "}:
    key=get_key(1)
    if key == "down":
      n=max(0,n-1)
    if key == "up":
      n=min(6,n+1)

